Tags
Create a tag
Create a new tag with a name and optional color. Tags can then be assigned to contacts for categorization.
POST /v1/tags/
Parameters
Query parameters
include
object
Request body
Content-Type: application/json
tag
object required
tag.name
string required
Example
{
"tag": {
"name": "string"
}
}
Responses
200 — Successful response
Content-Type: application/json
error
boolean required
data
object required
data.tag
object required
data.tag.id
string (uuid) required
data.tag.user_id
string
data.tag.name
string
data.tag._count
object
data.tag._count.tags_contacts
integer
Example
{
"error": false,
"data": {
"tag": {
"id": "00000000-0000-0000-0000-000000000000"
}
}
}
400 — Request body failed validation.
Content-Type: application/json
(body)
any
401 — Missing or invalid API key.
Content-Type: application/json
(body)
any
403 — Valid key, insufficient permission.
Content-Type: application/json
(body)
any
404 — Resource does not exist.
Content-Type: application/json
(body)
any
409 — Request conflicts with the current state of the resource.
Content-Type: application/json
(body)
any
429 — Rate limit exceeded.
Content-Type: application/json
(body)
any
500 — Unexpected server error.
Content-Type: application/json
(body)
any
Code samples
curl https://api.prod.getdex.com/v1/tags/ \
--request POST \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"tag": {
"name": "string"
}
}'
fetch('https://api.prod.getdex.com/v1/tags/', {
method: 'POST',
headers: {
Authorization: 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
},
body: JSON.stringify({
tag: {
name: 'string'
}
})
})
requests.post("https://api.prod.getdex.com/v1/tags/",
headers={
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json"
},
json={
"tag": {
"name": "string"
}
}
)

